<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:div id="globalDiv">
        <h:form id="criteriaForm">
            <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">

                <s:token allowMultiplePosts="true"/>
                <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
                <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                               value="#{managedBean.filter.urlParameters}"/>
                <script>
                    updateUrl("criteriaForm:filterUrlParameters");
                    Event.observe("criteriaForm:filterUrlParameters", 'change',
                        function () {
                            updateUrl("criteriaForm:filterUrlParameters");
                        });
                </script>
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filter" value="#{managedBean.filter}"/>
                            <ui:param name="filterId" value="keyword"/>
                            <ui:param name="filterName" value="#{messages['gazelle.vut.Keyword']}"/>
                            <ui:param name="filterForm" value="ruleUnitTestTableForm,criteriaForm"/>
                        </ui:include>
                    </div>
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filter" value="#{managedBean.filter}"/>
                            <ui:param name="filterId" value="active"/>
                            <ui:param name="filterName" value="#{messages['gazelle.vut.Active']}"/>
                            <ui:param name="filterForm" value="ruleUnitTestTableForm,criteriaForm"/>
                        </ui:include>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filter" value="#{managedBean.filter}"/>
                            <ui:param name="filterId" value="testedVersion"/>
                            <ui:param name="filterName" value="#{messages['gazelle.vut.TestedVersion']}"/>
                            <ui:param name="filterForm" value="ruleUnitTestTableForm,criteriaForm"/>
                        </ui:include>
                    </div>
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filter" value="#{managedBean.filter}"/>
                            <ui:param name="filterId" value="lastRunStatus"/>
                            <ui:param name="filterName" value="#{messages['gazelle.vut.LastResult']}"/>
                            <ui:param name="filterForm" value="ruleUnitTestTableForm,criteriaForm"/>
                        </ui:include>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filterDate.xhtml">
                            <ui:param name="filter" value="#{managedBean.filter}"/>
                            <ui:param name="filterId" value="lastRunDate"/>
                            <ui:param name="filterName" value="#{messages['gazelle.vut.LastRunDate']}"/>
                            <ui:param name="filterForm" value="ruleUnitTestTableForm,criteriaForm"/>
                        </ui:include>
                    </div>
                    <div class="col-lg-6">
                        <ui:include src="/filter/filterDate.xhtml">
                            <ui:param name="filter" value="#{managedBean.filter}"/>
                            <ui:param name="filterId" value="lastSuccessDate"/>
                            <ui:param name="filterName" value="#{messages['gazelle.vut.LastSuccessDate']}"/>
                            <ui:param name="filterForm" value="ruleUnitTestTableForm,criteriaForm"/>
                        </ui:include>
                    </div>
                </div>
                <ui:insert name="moreFilters"/>
                <ui:define name="filter_buttons">
                    <a4j:commandLink title="#{messages['gazelle.vut.Refresh']}" render="ruleUnitTestTableForm,criteriaForm">
                        <span class="fa fa-refresh"/>
                    </a4j:commandLink>
                    <a4j:commandLink title="#{messages['net.ihe.gazelle.xval.ResetCriteria']}"
                                     actionListener="#{managedBean.reset()}" render="ruleUnitTestTableForm,criteriaForm">
                        <span class="fa fa-times-circle"/>
                    </a4j:commandLink>
                </ui:define>
                <a4j:commandButton value="#{messages['gazelle.vut.RunAllFilteredTests']}" styleClass="gzl-btn-green"
                                   actionListener="#{unitTestManagerBean.executeList(managedBean.getAllFilteredItems())}"
                                   render="ruleUnitTestTableForm,criteriaForm"/>
            </ui:decorate>
        </h:form>


        <gri:panel>
            <f:facet name="header">
                <h:outputText value="#{messages['gazelle.vut.FilteredUnitTests']}"/>
            </f:facet>
            <s:decorate template="/unittesting/unitTestTable.xhtml">
                <ui:param name="listOfUnitTests" value="#{managedBean.getUnitTestFiltered()}"/>
                <ui:param name="utManagerBean" value="#{unitTestManagerBean}"/>
                <ui:define name="additionalColumns1">
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.vut.Active']}</ui:define>
                        <h:outputText value="#{messages['gazelle.vut.Yes']}" rendered="#{ut.active}"/>
                        <h:outputText value="#{messages['gazelle.vut.No']}" rendered="#{not ut.active}"/>
                    </g:column>
                    <ui:insert name="moreColumns"/>
                </ui:define>
            </s:decorate>
        </gri:panel>
    </s:div>
</ui:composition>
